Get fee estimate
Returns the estimated fee for a transaction. UTXO coins will return a fee per kB, while Account-based coins will return a flat fee estimate.
The fee estimate provided by BitGo is higher than the usual network fee. This additional fee is not charged by BitGo but is used to ensure that the transactions are processed faster and do not fail on the blockchain network.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol.
Query Params
-
numBlocksintegertarget number of blocks -
recipientstringRecipient of the tx to estimate for (only for ETH) -
datastringETH data of the tx to estimate for (only for ETH) -
amountstringAmount in base units being sent to estimate for (only for ETH) -
hopbooleanTrue if we are estimating for a hop tx, false or unspecified for a wallet tx (ETH, AVAXC and POLYGON)
Responses
200
OK
Response Body
ONE OF
-
feePerKbinteger required(BTC only) The fee (in base units) per kilobyte (or virtual kilobyte) required to confirm a transaction on 2 or more blocks. -
cpfpFeePerKbinteger(BTC only) Child-Pays-For-Parent (CPFP) fee (in base units) per kilobyte (or virtual kilobyte). Includes the fees for all unconfirmed transactions dependent on the CPFP transaction. -
numBlocksinteger required(BTC only) The number of blocks required to confirm a transaction. You can use
numBlocksto estimate the fee rate by targeting confirmation within a given number of blocks. If bothfeeRateandnumBlocksare absent, the transaction defaults to 2 blocks for confirmation.Note: The
maxFeeRatelimits the fee rate generated bynumBlocks. -
confidenceinteger(BTC only) The confidence (as a percentage) in the accuracy of the fee estimate. -
feeByBlockTargetobject(UTXO only) Custom multiplier to the
feeRate. The resulting fee rate is limited by themaxFeeRate. For replace-by-fee (RBF) transactions (that includerbfTxIds), thefeeMultipliermust be greater than 1, since it's an absolute fee multiplier to the transaction being replaced.Note: The
maxFeeRatelimits the fee rate generated byfeeMultiplier.
-
feeEstimatestring requiredfee estimate for a transaction for the given account-based coin, denominated in the base units of that coin (i.e. Drops for XRP, Stroops for XLM, etc)
-
feeRateinteger requiredCalculated by transaction size. Fee rate is in microAlgo (base unit). -
minimumFeeinteger requiredAlways 1000.
-
feeEstimatestring requiredfee estimate for a transaction for the given account-based coin, denominated in base units (i.e. Wei) -
gasLimitEstimatestringThe amount of gas that the transaction will use, if recipient is provided in the request -
minGasPricestring requiredminimum gas price that can be provided in base units -
minGasLimitstring requiredminimum gas limit that can be provided in base units -
maxGasLimitstring requiredmaximum gas limit that can be provided in base units -
minGasIncreaseBystring requiredgas price must not be increased by less than this after being introduced to the network -
eip1559objectEIP 1559 fee estimateseip1559 object
-
baseFeestring requiredBlock base fees, in base units (i.e. Wei), per gas. Zeroes are returned for pre-EIP-1559 blocks -
gasUsedRatiostring requiredBlock gas used ratio. Calculated as the ratio of gasUsed and gasLimit -
safeLowMinerTipstring25th percentile of the tips spent in the last block -
normalMinerTipstring35th percentile of the tips spent in the last block -
standardMinerTipstring50th percentile of the tips spent in the last block -
fastestMinerTipstring75th percentile of the tips spent in the last block -
ludicrousMinerTipstring97th percentile of the tips spent in the last block
-
-
feeinteger requiredMaximum fee for a payment transaction, denominated in base units (i.e. sun). It varies for TRX and TRC20 Token based on the coin parameter -
newAccountFeeinteger requiredFee for wallet initialization -
netFeeinteger requiredFee rate per unit of tx size. Not used currently (feeis a maximum limit, the network charges the cost of the transaction)
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code